# GeneratorTask

API Documentation: | `GeneratorTask`

A `GeneratorTask` generates a configuration file based on a domain object of type T. When executed the task:

- loads the object from the input file, if it exists.
- Calls the beforeConfigured actions, passing the object to each action.
- Configures the object in some task-specific way.
- Calls the afterConfigured actions, passing the object to each action.
- writes the object to the output file.

### Properties

Property | Description
`inputFile` | The input file to load the initial configuration from. Defaults to the output file. If the specified input file does not exist, this task uses some default initial configuration.
`outputFile` | The output file to write the final configuration to.

### Property details

#### `File` `inputFile`

The input file to load the initial configuration from. Defaults to the output file. If the specified input file does not exist, this task uses some default initial configuration.

#### `File` `outputFile`

The output file to write the final configuration to.

### Script blocks

No script blocks

### Methods

No methods